<?php
$target = 'nombre';
//include("funciones/funciones_backup.php");
//include("conexion/conexion.php");
//include("Menu/menu_inicio.php");
//include("Usuarios/usuarios.php");
//include("logos.php");
$programa = 'carga_archivo_reversa_descargue.php';
$nombrepagina = "RETORNA GUIAS DESCARGADAS A REPARTO";
//$v_mysql = conn_mysql();
//encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;


class conexion{         
	// propiedades
	var $conn;
	var $rst;         
            
	// CREAR LA CONEXION
	function conectarse() {	
	     //include("./conexion2.php");                       
		if (!($this->conn=mysql_connect('181.48.156.166','root','+marketing2011*'))) { // Ads			
			echo "Error conectando al servidor MySql: ".mysql_error();
			exit();
		}
		if (!mysql_select_db($db,$this->conn)) { // selecciono la base de datos
			echo "Error seleccionando la base de datos.".mysql_error();
			exit();
		}
	}

	//CERRAR LA BASE DATOS
	function cerrar(){
		if(isset($this->conn)){
			mysql_close($this->conn);  // cierro la conexion
			unset($this->conn);
			unset($this->rst);
		}
	}

	// CONSULTAR REGISTROS
	function  consultar($sql){	       
		if(isset($this->conn)){
			$this->rst=mysql_query($sql,$this->conn); // ejecuto una consulta
            //echo mysql_error();            
			if(!$this->rst){
			echo "Error Mysql".mysql_error();	
			}			
			return $this->rst;
		}
		else{
			echo "No Hay Conexion con Mysql ".mysql_error();
		}
	}

	function modificar($sql){
		if(isset($this->conn)){
		      
			$this->rst=mysql_query($sql,$this->conn) or die(mysql_error().$sql); // ejecuto una consulta
            			
		}
		else{
			echo "No se puede modificar los registros de la BD".mysql_error();	
		}
		
	}
	function getRst(){
		return $this->rst;
	}
}







if (file_exists('Plano_GuiasSinReversadas.csv')) {

   unlink('Plano_GuiasSinReversadas.csv');
}

if (file_exists('Plano_GuiasReversadas.csv')) {
    unlink('Plano_GuiasReversadas.csv');
}


if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

   // $llamadoObj = new llamado();
   // $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    //entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
  //  mostrar_cabeza_trabajo($nombrepagina);
}
?>
<center>
    <FORM action="" method="POST" enctype="multipart/form-data">
        <table>
            <tr  class="miTable_tr">
                <th  class="miTable_th1" colspan="2">Cargar Archivo Plano</th>
            </tr>
            <tr class="miTable_tr">
                <td class="miTable_td">Seleccione Archivo: </td>
                <td class="miTable_td"><div align="left"><input type="file" name="archivo" class="inputbox"></div> </td>
            </tr>
            <tr class="miTable_tr">
                <td class="miTable_td">Ejemplo: </td>
                <td class="miTable_td"><div align="left">
                        GUIA
                        <br>
                        52123456
                        <br>
                        79456123        
                    </div></td>
            </tr>
            <tr>
            <tr class="miTable_tr">           
                <td class="miTable_td">Campo Cruce:</td>           
                <td width="250" class="miTable_td"><select name="campo" class="inputbox" tabindex="1">
                        <option value="GUIA"><? echo guia ?></option>
                        <?php
                        ?>
                    </select>      </td>
            </tr>    
            <tr class="miTable_tr">
                <td class="miTable_td">&nbsp;</td>
                <td class="miTable_td"><div align="left"><input type="submit" id="btplano" name="btplano" value="Cargar Archivo" class="inputbox" onClick="validarforma('archivo', '', 'R');
                        return document.MM_returnValue" class="inputbox"></div></td>
            </tr>   
            <tr  class="miTable_tr">
                <th  class="miTable_th1" colspan="2">&nbsp;</th>
            </tr>
        </table>
    </FORM>
</center>

<?php
if (isset($btplano)) {
    $db = new conexion();
    $db->conectarse();
    //$nom_campo = $_GET['campo'];
    $nom_campo = $campo;
    $nombre_archivo = $HTTP_POST_FILES['archivo']['name'];
    $tipo_archivo = $HTTP_POST_FILES['archivo']['type'];
    $tamano_archivo = $HTTP_POST_FILES['archivo']['size'];
    $tmp_archivo = $HTTP_POST_FILES['archivo']['tmp_name'];

    if (!strpos(strtolower($nombre_archivo), 'csv')) {
        echo "<b><center> No se puede continuar, el archivo seleccionado no es CSV.</center></b>";
        exit();
    }
    $cnt = 0;
    $row = 1;
    $cntreg = 0;
    $cntsin = 0;
    $conspl = '';
    $separador = '';
    $handle = fopen($tmp_archivo, "r");
    while ($data = fgetcsv($handle, 2048)) {
        $cnt++;
        $num = count($data);
        if ($cnt > 1) {
            for ($c = 0; $c <= 1; $c++) {
                if ($c == 0) {
                    $n_guia = $data[$c];
                }
            }

            $rst = $db->consultar("update guias_proceso set id_estado='13' where GUIA='" . $n_guia . "'");
            if (mysql_affected_rows($rst) >= 1) {
                $db->consultar("update rastreo_guias set E14=0,F14='0000-00-00 00:00:00' where GUIA='" . $n_guia . "'");


                $cadena = trim($n_guia) . chr(13) . chr(10);
                $archivo = fopen('Plano_GuiasReversadas.csv', "a+");
                fwrite($archivo, $cadena);
                fclose($archivo);
                $cntreg++;
            } else {
                $cadena = trim($n_guia) . chr(13) . chr(10);
                $archivo = fopen('Plano_GuiasSinReversadas.csv', "a+");
                fwrite($archivo, $cadena);
                fclose($archivo);
                $cntsin++;
            }
        }
    }
    fclose($handle);


    if (file_exists('Plano_GuiasSinReversadas.csv')) {
        echo"<center><a title='Ver Guias Sin Cruzar.' target='_blank' href='Plano_GuiasSinReversadas.csv'>Ver Guias Sin Cruzar</a> <center>";
    }
    if ($cntsin > 0) {
        echo "<center>Guias Sin Cruzar: " . $cntsin . "</center>";
    }

    if (file_exists('Plano_GuiasReversadas.csv')) {
        echo"<center><a title='Ver Guias Cruzadas.' target='_blank' href='Plano_GuiasReversadas.csv'>Ver Guias Cruzadas</a> <center>";
    }
    if ($cntreg > 0) {
        echo "<center>Guias Actualizadas: " . $cntreg . "</center>";
    }
}
mostrar_pie();
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?>
<td>
<center>
    <?
    pie_de_pagina();
    ?>
</center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>